Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SupergroupFullInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.SupergroupFullInfo

Enclosing class:
  TdApi

public static final class TdApi.SupergroupFullInfo extends TdApi.Object
Contains full information about a supergroup or channel.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`administratorCount`
Number of privileged users in the supergroup or channel; 0 if unknown.
`int`
`bannedCount`
Number of users banned from chat; 0 if unknown.
`TdApi.BotCommands[]`
`botCommands`
List of commands of bots in the group.
`boolean`
`canGetMembers`
True, if members of the chat can be retrieved via getSupergroupMembers or searchChatMembers.
`boolean`
`canGetStatistics`
True, if the supergroup or channel statistics are available.
`boolean`
`canHideMembers`
True, if non-administrators and non-bots can be hidden in responses to getSupergroupMembers and searchChatMembers for non-administrators.
`boolean`
`canSetLocation`
True, if the supergroup location can be changed.
`boolean`
`canSetStickerSet`
True, if the supergroup sticker set can be changed.
`boolean`
`canToggleAggressiveAntiSpam`
True, if aggressive anti-spam checks can be enabled or disabled in the supergroup.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`customEmojiStickerSetId`
Identifier of the custom emoji sticker set that can be used in the supergroup without Telegram Premium subscription; 0 if none.
`String`
`description`
Supergroup or channel description.
`boolean`
`hasAggressiveAntiSpamEnabled`
True, if aggressive anti-spam checks are enabled in the supergroup.
`boolean`
`hasHiddenMembers`
True, if non-administrators can receive only administrators and bots using getSupergroupMembers or searchChatMembers.
`boolean`
`hasPinnedStories`
True, if the supergroup or channel has pinned stories.
`TdApi.ChatInviteLink`
`inviteLink`
Primary invite link for the chat; may be null.
`boolean`
`isAllHistoryAvailable`
True, if new chat members will have access to old messages.
`long`
`linkedChatId`
Chat identifier of a discussion group for the channel, or a channel, for which the supergroup is the designated discussion group; 0 if none or unknown.
`TdApi.ChatLocation`
`location`
Location to which the supergroup is connected; may be null if none.
`int`
`memberCount`
Number of members in the supergroup or channel; 0 if unknown.
`int`
`myBoostCount`
Number of times the current user boosted the supergroup or channel.
`TdApi.ChatPhoto`
`photo`
Chat photo; may be null if empty or unknown.
`int`
`restrictedCount`
Number of restricted users in the supergroup; 0 if unknown.
`int`
`slowModeDelay`
Delay between consecutive sent messages for non-administrator supergroup members, in seconds.
`double`
`slowModeDelayExpiresIn`
Time left before next message can be sent in the supergroup, in seconds.
`long`
`stickerSetId`
Identifier of the supergroup sticker set that must be shown before user sticker sets; 0 if none.
`int`
`unrestrictBoostCount`
Number of times the supergroup must be boosted by a user to ignore slow mode and chat permission restrictions; 0 if unspecified.
`long`
`upgradedFromBasicGroupId`
Identifier of the basic group from which supergroup was upgraded; 0 if none.
`long`
`upgradedFromMaxMessageId`
Identifier of the last message in the basic group from which supergroup was upgraded; 0 if none.

## Constructor Summary

Constructors
Constructor
Description
`SupergroupFullInfo()`
Contains full information about a supergroup or channel.
`SupergroupFullInfo(TdApi.ChatPhoto photo, String description, int memberCount, int administratorCount, int restrictedCount, int bannedCount, long linkedChatId, int slowModeDelay, double slowModeDelayExpiresIn, boolean canGetMembers, boolean hasHiddenMembers, boolean canHideMembers, boolean canSetStickerSet, boolean canSetLocation, boolean canGetStatistics, boolean canToggleAggressiveAntiSpam, boolean isAllHistoryAvailable, boolean hasAggressiveAntiSpamEnabled, boolean hasPinnedStories, int myBoostCount, int unrestrictBoostCount, long stickerSetId, long customEmojiStickerSetId, TdApi.ChatLocation location, TdApi.ChatInviteLink inviteLink, TdApi.BotCommands[] botCommands, long upgradedFromBasicGroupId, long upgradedFromMaxMessageId)`
Contains full information about a supergroup or channel.
`SupergroupFullInfo(DataInput input)`
Contains full information about a supergroup or channel.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### photo

public TdApi.ChatPhoto photo
Chat photo; may be null if empty or unknown. If non-null, then it is the same photo as in chat.photo.

### description

public String description
Supergroup or channel description.

### memberCount

public int memberCount
Number of members in the supergroup or channel; 0 if unknown.

### administratorCount

public int administratorCount
Number of privileged users in the supergroup or channel; 0 if unknown.

### restrictedCount

public int restrictedCount
Number of restricted users in the supergroup; 0 if unknown.

### bannedCount

public int bannedCount
Number of users banned from chat; 0 if unknown.

### linkedChatId

public long linkedChatId
Chat identifier of a discussion group for the channel, or a channel, for which the supergroup is the designated discussion group; 0 if none or unknown.

### slowModeDelay

public int slowModeDelay
Delay between consecutive sent messages for non-administrator supergroup members, in seconds.

### slowModeDelayExpiresIn

public double slowModeDelayExpiresIn
Time left before next message can be sent in the supergroup, in seconds. An updateSupergroupFullInfo update is not triggered when value of this field changes, but both new and old values are non-zero.

### canGetMembers

public boolean canGetMembers
True, if members of the chat can be retrieved via getSupergroupMembers or searchChatMembers.

### hasHiddenMembers

public boolean hasHiddenMembers
True, if non-administrators can receive only administrators and bots using getSupergroupMembers or searchChatMembers.

### canHideMembers

public boolean canHideMembers
True, if non-administrators and non-bots can be hidden in responses to getSupergroupMembers and searchChatMembers for non-administrators.

### canSetStickerSet

public boolean canSetStickerSet
True, if the supergroup sticker set can be changed.

### canSetLocation

public boolean canSetLocation
True, if the supergroup location can be changed.

### canGetStatistics

public boolean canGetStatistics
True, if the supergroup or channel statistics are available.

### canToggleAggressiveAntiSpam

public boolean canToggleAggressiveAntiSpam
True, if aggressive anti-spam checks can be enabled or disabled in the supergroup.

### isAllHistoryAvailable

public boolean isAllHistoryAvailable
True, if new chat members will have access to old messages. In public, discussion, of forum groups and all channels, old messages are always available, so this option affects only private non-forum supergroups without a linked chat. The value of this field is only available to chat administrators.

### hasAggressiveAntiSpamEnabled

public boolean hasAggressiveAntiSpamEnabled
True, if aggressive anti-spam checks are enabled in the supergroup. The value of this field is only available to chat administrators.

### hasPinnedStories

public boolean hasPinnedStories
True, if the supergroup or channel has pinned stories.

### myBoostCount

public int myBoostCount
Number of times the current user boosted the supergroup or channel.

### unrestrictBoostCount

public int unrestrictBoostCount
Number of times the supergroup must be boosted by a user to ignore slow mode and chat permission restrictions; 0 if unspecified.

### stickerSetId

public long stickerSetId
Identifier of the supergroup sticker set that must be shown before user sticker sets; 0 if none.

### customEmojiStickerSetId

public long customEmojiStickerSetId
Identifier of the custom emoji sticker set that can be used in the supergroup without Telegram Premium subscription; 0 if none.

### location

public TdApi.ChatLocation location
Location to which the supergroup is connected; may be null if none.

### inviteLink

public TdApi.ChatInviteLink inviteLink
Primary invite link for the chat; may be null. For chat administrators with canInviteUsers right only.

### botCommands

public TdApi.BotCommands[] botCommands
List of commands of bots in the group.

### upgradedFromBasicGroupId

public long upgradedFromBasicGroupId
Identifier of the basic group from which supergroup was upgraded; 0 if none.

### upgradedFromMaxMessageId

public long upgradedFromMaxMessageId
Identifier of the last message in the basic group from which supergroup was upgraded; 0 if none.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SupergroupFullInfo

public SupergroupFullInfo()
Contains full information about a supergroup or channel.

### SupergroupFullInfo

public SupergroupFullInfo(TdApi.ChatPhoto photo, String description, int memberCount, int administratorCount, int restrictedCount, int bannedCount, long linkedChatId, int slowModeDelay, double slowModeDelayExpiresIn, boolean canGetMembers, boolean hasHiddenMembers, boolean canHideMembers, boolean canSetStickerSet, boolean canSetLocation, boolean canGetStatistics, boolean canToggleAggressiveAntiSpam, boolean isAllHistoryAvailable, boolean hasAggressiveAntiSpamEnabled, boolean hasPinnedStories, int myBoostCount, int unrestrictBoostCount, long stickerSetId, long customEmojiStickerSetId, TdApi.ChatLocation location, TdApi.ChatInviteLink inviteLink, TdApi.BotCommands[] botCommands, long upgradedFromBasicGroupId, long upgradedFromMaxMessageId)
Contains full information about a supergroup or channel.

Parameters:
  `photo` - Chat photo; may be null if empty or unknown. If non-null, then it is the same photo as in chat.photo.
  `description` - Supergroup or channel description.
  `memberCount` - Number of members in the supergroup or channel; 0 if unknown.
  `administratorCount` - Number of privileged users in the supergroup or channel; 0 if unknown.
  `restrictedCount` - Number of restricted users in the supergroup; 0 if unknown.
  `bannedCount` - Number of users banned from chat; 0 if unknown.
  `linkedChatId` - Chat identifier of a discussion group for the channel, or a channel, for which the supergroup is the designated discussion group; 0 if none or unknown.
  `slowModeDelay` - Delay between consecutive sent messages for non-administrator supergroup members, in seconds.
  `slowModeDelayExpiresIn` - Time left before next message can be sent in the supergroup, in seconds. An updateSupergroupFullInfo update is not triggered when value of this field changes, but both new and old values are non-zero.
  `canGetMembers` - True, if members of the chat can be retrieved via getSupergroupMembers or searchChatMembers.
  `hasHiddenMembers` - True, if non-administrators can receive only administrators and bots using getSupergroupMembers or searchChatMembers.
  `canHideMembers` - True, if non-administrators and non-bots can be hidden in responses to getSupergroupMembers and searchChatMembers for non-administrators.
  `canSetStickerSet` - True, if the supergroup sticker set can be changed.
  `canSetLocation` - True, if the supergroup location can be changed.
  `canGetStatistics` - True, if the supergroup or channel statistics are available.
  `canToggleAggressiveAntiSpam` - True, if aggressive anti-spam checks can be enabled or disabled in the supergroup.
  `isAllHistoryAvailable` - True, if new chat members will have access to old messages. In public, discussion, of forum groups and all channels, old messages are always available, so this option affects only private non-forum supergroups without a linked chat. The value of this field is only available to chat administrators.
  `hasAggressiveAntiSpamEnabled` - True, if aggressive anti-spam checks are enabled in the supergroup. The value of this field is only available to chat administrators.
  `hasPinnedStories` - True, if the supergroup or channel has pinned stories.
  `myBoostCount` - Number of times the current user boosted the supergroup or channel.
  `unrestrictBoostCount` - Number of times the supergroup must be boosted by a user to ignore slow mode and chat permission restrictions; 0 if unspecified.
  `stickerSetId` - Identifier of the supergroup sticker set that must be shown before user sticker sets; 0 if none.
  `customEmojiStickerSetId` - Identifier of the custom emoji sticker set that can be used in the supergroup without Telegram Premium subscription; 0 if none.
  `location` - Location to which the supergroup is connected; may be null if none.
  `inviteLink` - Primary invite link for the chat; may be null. For chat administrators with canInviteUsers right only.
  `botCommands` - List of commands of bots in the group.
  `upgradedFromBasicGroupId` - Identifier of the basic group from which supergroup was upgraded; 0 if none.
  `upgradedFromMaxMessageId` - Identifier of the last message in the basic group from which supergroup was upgraded; 0 if none.

### SupergroupFullInfo

public SupergroupFullInfo(DataInput input) throws IOException
Contains full information about a supergroup or channel.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`